For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Cart Emails
        • Custom Template Associations
        • Email Templates
        • Pages
        • Marketing
        • Store Content
              • GETList Redirects
              • POSTCreate Redirect
              • DELDelete All Redirects
              • GETGet Redirect
              • PUTUpdate Redirect
              • DELDelete Redirect
              • GETGet Count of Redirects
        • Themes
        • Widgets
        • Page Widgets
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminContentStore ContentRedirects

Create Redirect

POST
https://api.bigcommerce.com/stores/:store_hash/v2/redirects
POST
/stores/:store_hash/v2/redirects
$curl -X POST https://api.bigcommerce.com/stores/store_hash/v2/redirects \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "path": "/smith-journal-13/",
> "forward": {
> "type": "product",
> "ref": 111
> },
> "id": 1
>}'
200Response
1{
2 "path": "/mens_clothing",
3 "forward": {
4 "type": "category",
5 "ref": 3
6 },
7 "id": 3,
8 "url": "http://store.example.com/mens"
9}
Creates a *Redirect URL*. **Required Fields** * path * forward **Read Only** * url > #### Warning > **Deprecated** > * This API operation is deprecated. Avoid using this API operation if possible. It will be removed in a future version. > * To upsert new redirect data, use Redirects V3ʼs [Upsert redirects](/developer/api-reference/rest/admin/management/redirects/upsert-redirects) endpoint.
Was this page helpful?
Previous

List Redirects

Next

Delete All Redirects

Built with

Creates a Redirect URL.

Required Fields

  • path
  • forward

Read Only

  • url

Warning

Deprecated

  • This API operation is deprecated. Avoid using this API operation if possible. It will be removed in a future version.
  • To upsert new redirect data, use Redirects V3ʼs Upsert redirects endpoint.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Content | modify | `store_v2_content` | | Content | read-only | `store_v2_content_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects an object.
pathstringRequired
The path from which to redirect.
forwardobjectRequired
idintegerOptional
Numeric ID of the redirect.

Response

pathstring
The path from which to redirect.
forwardobject
idinteger
Numeric ID of the redirect.
urlstringRead-only

URL of the redirect. READ-ONLY.

OAuth scopes

UI NamePermissionParameter
Contentmodifystore_v2_content
Contentread-onlystore_v2_content_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.